Bug 203828 - [NEW PORT] sysutils/genisoimage: slave port of sysutils/cdrkit
Summary: [NEW PORT] sysutils/genisoimage: slave port of sysutils/cdrkit
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thomas Zander
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-10-16 19:21 UTC by Nikolai Lifanov
Modified: 2019-04-22 00:45 UTC (History)
2 users (show)

See Also:
riggs: maintainer-feedback-


Attachments
sysutils/genisoimage (2.33 KB, patch)
2015-10-16 19:21 UTC, Nikolai Lifanov
koobs: maintainer-approval+
Details | Diff
sysutils/genisoimage (7.39 KB, patch)
2016-01-01 04:39 UTC, Nikolai Lifanov
riggs: maintainer-approval? (jharris)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolai Lifanov 2015-10-16 19:21:02 UTC
Created attachment 162129 [details]
sysutils/genisoimage

This is a slave port to sysutils/cdrkit.
However, this port only installs the genisoimage utility.
The patch includes changes to sysutils/cdrkit, so maintainer should be involved.

Problem is, cdrkit installs files that conflict with cdrtools and dvd+rw_tools:

Installed packages to be REMOVED:
	virtualbox-ose-4.3.30
	cdrtools-3.00_2
	dvd+rw-tools-7.1_1

New packages to be INSTALLED:
	cdrkit: 1.1.11_1

Packaging genisoimage separately but building from cdrkit sources is the approach taken by Debian.
Comment 1 jharris 2015-11-03 18:07:12 UTC
Approved, thanks!
Comment 2 Thomas Zander freebsd_committer 2015-12-31 17:29:13 UTC
The genisoimage port does not pass stage-qa:
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: bin/cdda2mp3
Error: Orphaned: bin/cdda2ogg
Error: Orphaned: bin/devdump
Error: Orphaned: bin/dirsplit
Error: Orphaned: bin/icedax
Error: Orphaned: bin/isodebug
Error: Orphaned: bin/isodump
Error: Orphaned: bin/isoinfo
Error: Orphaned: bin/isovfy
Error: Orphaned: bin/pitchplay
Error: Orphaned: bin/readmult
Error: Orphaned: bin/readom
Error: Orphaned: bin/wodim
Error: Orphaned: man/man1/cdda2ogg.1.gz
Error: Orphaned: man/man1/devdump.1.gz
Error: Orphaned: man/man1/dirsplit.1.gz
Error: Orphaned: man/man1/icedax.1.gz
Error: Orphaned: man/man1/isodebug.1.gz
Error: Orphaned: man/man1/isodump.1.gz
Error: Orphaned: man/man1/isoinfo.1.gz
Error: Orphaned: man/man1/isovfy.1.gz
Error: Orphaned: man/man1/list_audio_tracks.1.gz
Error: Orphaned: man/man1/pitchplay.1.gz
Error: Orphaned: man/man1/readmult.1.gz
Error: Orphaned: man/man1/readom.1.gz
Error: Orphaned: man/man1/wodim.1.gz
Error: Orphaned: sbin/netscsid
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1

Stop.
make: stopped in /usr/ports/sysutils/genisoimage

Also, why do cdrkit and genisoimage have to conflict? It should be possible that genisoimage installs just genisoimage and cdrkit the rest while depending on genisoimage.

Could you please take a look?
Comment 3 Nikolai Lifanov 2016-01-01 04:38:36 UTC
Good point. Here is a re-imagined version of the port.
It co-installs with cdrkit and cdrkit depends on it
not to confuse existing users.
However, this port also co-installs with cdrtools-*.

This also rerolls existing patches with "make makepatch" to
appease portlint even more.

The check-plist and check-orphans targets are clean with this method.
Maintainer will need to approve the new approach.
Comment 4 Nikolai Lifanov 2016-01-01 04:39:07 UTC
Created attachment 164923 [details]
sysutils/genisoimage
Comment 5 Thomas Zander freebsd_committer 2016-01-23 09:11:49 UTC
Maintainer timeout
Comment 6 commit-hook freebsd_committer 2016-01-23 09:12:21 UTC
A commit references this bug:

Author: riggs
Date: Sat Jan 23 09:12:05 UTC 2016
New revision: 406963
URL: https://svnweb.freebsd.org/changeset/ports/406963

Log:
  Separate cdrkit into cdrkit and genisoimage

  Previously, cdrkit conflicted with cdrtools and dvd+rw-tools.
  The split allows for genisoimage to be installed without removing
  cdrtools and dvd+rw-tools.

  PR:		203828
  Submitted by:	lifanov@mail.lifanov.com
  Approved by:	maintainer timeout

Changes:
  head/sysutils/Makefile
  head/sysutils/cdrkit/Makefile
  head/sysutils/cdrkit/files/patch-genisomage
  head/sysutils/cdrkit/files/patch-wodim__CMakeLists.txt
  head/sysutils/cdrkit/pkg-plist
  head/sysutils/genisoimage/
  head/sysutils/genisoimage/Makefile
Comment 7 commit-hook freebsd_committer 2019-04-22 00:45:49 UTC
A commit references this bug:

Author: bar
Date: Mon Apr 22 00:45:26 UTC 2019
New revision: 499599
URL: https://svnweb.freebsd.org/changeset/ports/499599

Log:
  Fix build with upnp 1.8.x.
  While here, update to the last available SVN tarball.

  PR:	203828
  Submitted by:Tobias Kortkamp <tobik@freebsd.org>

Changes:
  head/net-p2p/amule-devel/Makefile
  head/net-p2p/amule-devel/distinfo
  head/net-p2p/amule-devel/files/patch-src_UPnPBase.cpp
  head/net-p2p/amule-devel/files/patch-src_UPnPBase.h